Subject: (urth) Shamefaced C.S. Lewis request

From: Alice Turner <akt at attglobal.net>
Date: Fri, 07 Jan 2000 00:17:01 +0000

I had a short, memorable (except to me, whose memory is deplorable), email
discussion on C.S. Lewis's -Till We have Faces- with somebody here. You
forwarded a terrific Lewis letter. Could you please (with my abject,
embarrassed apologies) forward it again, as I can't find it? Many, many
thanks.

-alga

*More Wolfe info & archive of this list at http://www.urth.net/urth/